[Overview][Constants][Types][Procedures and functions][Variables][Index] | Reference for unit 'Dos' (#rtl)

# FExpand

Expand a relative path to an absolute path

## Declaration

Source position: dosh.inc line 117

`function FExpand(`
`const path: PathStr`
`):PathStr;`

## Description

FExpand takes its argument and expands it to a complete filename, i.e. a filename starting from the root directory of the current drive, prepended with the drive-letter or volume name (when supported).

Remark: | On case sensitive file systems (such as unix and linux), the resulting name is left as it is, otherwise it is converted to uppercase.

## Errors

FSplit

## Example

    Program Example11;
    uses Dos;

    { Program to demonstrate the FExpand function. }

    begin
      WriteLn('Expanded Name of this program is ',FExpand(ParamStr(0)));
    end.

Documentation generated on: Feb 26 2014